#ifndef _NET_TIM_H_
#define _NET_TIM_H_

#include "../../_Lib-3.5/CMSIS/stm32f10x.h"
#include "../../User/includes.h"
#include "../globalDef.h"
#include "uplink.h"
#include "../gateway_collect/gateway_collect.h"
#include "timeout.h"

#define NETSEND_MSG_PERIOD (1*60)//(5*60) //(500*10)//*60) // 1为1S， 5为5S 5*60：5分钟
#define NETSEND_HOUR_PERIOD (24*60*60) // 24小时
extern volatile uint32_t TickCounter;

extern void nettimer_init(void);


extern void net_check_status(void);



typedef struct _key_func
{
  uint8_t state;
  uint16_t num;
  timeout_t tt_key_state;
  uint8_t keyvalue;
  uint8_t optcmd; // 执行的动作
}key_func_t;
extern key_func_t key_info;


extern timeout_t g_timeOut;
extern timeout_t g_usmTimeOut;
extern void timeout_setValue(timeout_t *tt,uint32_t val);
extern void timeout_start(timeout_t *tt);
extern void timeout_stop(timeout_t *tt);
extern uint8_t timeout_isOut(timeout_t *tt);
#endif
